# 想要使用这个网站，查看我这个README.md 文件 里面是md语法


[学习地址](https://zhuanlan.zhihu.com/p/143586985)



![](http://git.breakon.top/show/blog/raw/branch/master/img/CC71D112-810A-4161-B829-06FFED30A7F8.png)

 # 文章标题测试

<!-- -->
`简介:这是简介`

# 文件夹1
## 文件夹2 
### 文件夹3
##### 文件夹4
###### 文件夹5 

```javascript 
function source(){
    let array=[1,2,3,4,5,6,5,4,4,5,6,7,4,3]
    let source=[...new Set(array)];
    return source; 
}
return source()
```


> [语法详解](http://commonmark.org/help/)

> 123123 

## **粗体**

```
**粗体**
__粗体__
```

## *斜体*

```
*斜体*
_斜体_
```

## 标题

```
# 一级标题 #
一级标题
====
## 二级标题 ##
二级标题
----
### 三级标题 ###
#### 四级标题 ####
##### 五级标题 #####
###### 六级标题 ######
```

## 分割线

```
***
---
```

****
## ^上^角~下~标

```
上角标 x^2^
下角标 H~2~0
```

## ++下划线++ ~~中划线~~
```
++下划线++
~~中划线~~
```

## ==标记==

```
==标记==
```

## 段落引用

```
> 一级
>> 二级
>>> 三级
...
```

## 列表

```
有序列表
1.
2.
3.
...
无序列表
-
-
...
```

## 任务列表

- [x] 已完成任务
- [ ] 未完成任务

```
- [x] 已完成任务
- [ ] 未完成任务
```

## 链接

```
[链接](www.baidu.com)
![图片描述](http://imageproxy.chaoxing.com/sZRFhIBJmQHv87PGA14nxSYkxbefeL3oRUjvp7V6rQRs/http://p.ananas.chaoxing.com/star3/origin/fed720983e6607369237ef086abb10a6.png)
```
 -|-|-
-------: | :------: | :-------
![图片描述](http://imageproxy.chaoxing.com/sZRFhIBJmQHv87PGA14nxSYkxbefeL3oRUjvp7V6rQRs/http://p.ananas.chaoxing.com/star3/origin/fed720983e6607369237ef086abb10a6.png =400x) |![图片描述](http://imageproxy.chaoxing.com/sZRFhIBJmQHv87PGA14nxSYkxbefeL3oRUjvp7V6rQRs/http://p.ananas.chaoxing.com/star3/origin/fed720983e6607369237ef086abb10a6.png =400x) | ![图片描述](http://imageproxy.chaoxing.com/sZRFhIBJmQHv87PGA14nxSYkxbefeL3oRUjvp7V6rQRs/http://p.ananas.chaoxing.com/star3/origin/fed720983e6607369237ef086abb10a6.png)


## 代码段落

```type
代码段落
```

` 代码块 `

```c++
int main()
{
    printf("hello world!");
}
```

`code`


## 表情(emoji)

[参考网站: https://www.webpagefx.com/tools/emoji-cheat-sheet/](https://www.webpagefx.com/tools/emoji-cheat-sheet/)

```
:laughing:
:blush:
:smiley:
:)
...
```

:laughing::blush::smiley::) 

```
术语一
:   定义一
包含有*行内标记*的术语二
:   定义二
        {一些定义二的文字或代码}
    定义二的第三段
```
## abbr

*[HTML]: Hyper Text Markup Language
*[W3C]:  World Wide Web Consortium
HTML 规范由 W3C 维护
```
*[HTML]: Hyper Text Markup Language
*[W3C]:  World Wide Web Consortium
HTML 规范由 W3C 维护 
```

## 脚注(footnote)


```
hello[^hello]
``` 
见底部脚注[^hello]
[^hello]: 一个注脚 

## 表格(table)

```
| 标题1 | 标题2 | 标题3 |
| :--  | :--: | ----: |
| 左对齐 | 居中 | 右对齐 |
| ---------------------- | ------------- | ----------------- |
```

| 标题1 | 标题2 | 标题3 |
| :--  | :--: | ----: |
| 左对齐 | 居中 | 右对齐 |
| ---------------------- | ------------- | ----------------- |


 

## 定义

术语一

:   定义一

包含有*行内标记*的术语二

:   定义二

        {一些定义二的文字或代码}

    定义二的第三段

